<?xml version="1.0" encoding="UTF-8"?>
<rdf:RDF
  xmlns="http://purl.org/rss/1.0/"
  xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:dc="http://purl.org/dc/elements/1.1/"
  xmlns:admin="http://webns.net/mvcb/"
  xml:lang="ja">

  <channel rdf:about="{$rss_url}">
    <title>{$smarty.const.BLOG_NAME}</title>
    <link>{$SITE_URL}</link>
    {foreach from=$rss_list item=item name=rss}
    {if $smarty.foreach.rss.first}
    <dc:date>{$item.r_datetime|date_format:"%Y-%m-%dT%T+09:00"}</dc:date>
    {/if}
    {/foreach}
    <description>{$smarty.const.BLOG_INTRO}</description>
    <items>
      <rdf:Seq>
        {foreach from=$rss_list item=item}
        <rdf:li rdf:resource="{$SITE_URL}?m=pc&amp;a=postComment.view&amp;post_id={$item.post_id}{if $item.post_comment_id}#comment{$item.post_comment_id}{/if}{if $item.trackback_id}#trackback{$item.trackback_id}{/if}" />
        {/foreach}
      </rdf:Seq>
    </items>
  </channel>

  {foreach from=$rss_list item=item}
  <item rdf:about="{$SITE_URL}?m=pc&amp;a=postComment.view&amp;post_id={$item.post_id}{if $item.post_comment_id}#comment{$item.post_comment_id}{/if}{if $item.trackback_id}#trackback{$item.trackback_id}{/if}">
    <title>{$item.title}{if $item.author_name} comment by {$item.author_name}{/if}</title>
    <link>{$SITE_URL}?m=pc&amp;a=postComment.view&amp;post_id={$item.post_id}{if $item.post_comment_id}#comment{$item.post_comment_id}{/if}{if $item.trackback_id}#trackback{$item.trackback_id}{/if}</link>
    <dc:date>{$item.r_datetime|date_format:"%Y-%m-%dT%T+09:00"}</dc:date>
    <description><![CDATA[{$item.description|smarty:nodefaults|strip_tags|mb_truncate:128:'..'}]]></description>
  </item>
  {/foreach}

</rdf:RDF>
